Subject: Re: [PATCH 01/18] advice: Introduce error_resolve_conflict

From: Phil Hord <[email-masked]>
Date: Thu, 21 Jul 2011 11:35:44 -0400

On 07/19/2011 01:17 PM, Ramkumar Ramachandra wrote:
> Enable future callers to report a conflict and not die immediately by
> introducing a new function called error_resolve_conflict.
> Re-implement die_resolve_conflict as a call to error_resolve_conflict
> followed by a call to die.  Consequently, the message printed by
> die_resolve_conflict changes from
>
> fatal: 'commit' is not possible because you have unmerged files.
>         Please, fix them up in the work tree ...
>         ...
>
> to
>
> error: 'commit' is not possible because you have unmerged files.
> hint: Please, fix them up in the work tree ...
> hint: ...
> fatal: Exiting because of an unresolved conflict.

This is a tiny grammar nit, but "Please," sounds superfluous now that 
it's preceded by "hint:".  "Hint" sounds like I'm doing you a favor by 
telling you something to do.  "Please" sounds like you're doing me a 
favor by doing something.  Together they just sound like a typo.

In either case, the comma after "Please" is wrong.  (There are other 
messages in the git code which make this same mistake, but there are 
more which use "Please <imperative-verb>..." correctly.)

Note: I see this repeated in patch 06/18 in this series, and there are 
probably others.

Phil